require 'player1init'
require 'player2init'
require 'ball'

function love.load() --this will load the score and other things like audo and graphics
    score_p1 = 0
    score_p2 = 0

    big_font = love.graphics.newFont("/fonts/wide_pixel-7.ttf", 34)

    spawn_ball()
    spawnPlayer1()
    spawnPlayer2()
end

function love.update(dt)

    movePlayer1(dt)
    movePlayer2(dt)

    ballMovement()
    ballCollision()
    checkSpeed()
    updateScore()
end


function love.draw() --this will draw things to the screen like sprites
    love.graphics.setColor(255, 255, 255, 255) --this is white
--Draw the players
drawPlayer1()
drawPlayer2()

--Draw the ball
drawBall()
--Draw the score
love.graphics.setFont(big_font)
love.graphics.printf("Player 1 = " .. score_p1 .. " Player 2 = " .. score_p2, 0, 0, love.window.getWidth(), "center")
end
